package io.gisbi.application.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;

/**
 * <p>
 * 用户
 * </p>
 *
 * @author lilin
 * @since 2025-05-08
 */
@Getter
@Setter
@TableName("app_user")
public class User {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;
    /**
     * 应用ID 关联应用系统
     */
    private String appId;
    /**
     * 所属组织
     */
    private String orgid;
    /**
     * 用户类型 0-管理员 1-普通用户
     */
    private String usertype;
    /**
     * 用户名称 用户名称（账号）
     */
    private String username;
    /**
     * 用户昵称(中文)
     */
    private String nickname;
    /**
     * 登录密码
     */
    private String password;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 头像（预留）
     */
    private String avatar;
    /**
     * 账号状态（1-正常 0-停用）
     */
    private String status;
    /**
     * 密码有限期 密码有限期（天）
     */
    private Integer pwdvalidperiod;
    /**
     * 登录失败次数 允许的登录失败次数
     */
    private Integer failednum;
    /**
     * 用户指定登录IP 如果设置了IP，则只允许IP用户登录
     */
    private String loginip;
    /**
     * 登录失败锁定时间
     */
    private LocalDateTime failedlocktime;
    /**
     * 密码修改时间
     */
    private LocalDateTime pwdresettime;
    /**
     * 最近修改者
     */
    private String lastmodifier;
    /**
     * 最近修改日期
     */
    private LocalDateTime lastmodifydate;
    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;
}
